Package org.jdesktop.application.session

# Class TabbedPaneState

java.lang.Object
org.jdesktop.application.session.TabbedPaneState

public class TabbedPaneState extends Object
This Java Bean record the `selectedIndex` and `tabCount` properties of a `JTabbedPane`. A `TabbedPaneState` object created by `TabbedPaneProperty.getSessionState(java.awt.Component)` and used to restore the selected tab by `TabbedPaneProperty.setSessionState(java.awt.Component, java.lang.Object)`.

See Also:
  - `TabbedPaneProperty`
  - `SessionStorage.save(java.awt.Component, java.lang.String)`
  - `SessionStorage.restore(java.awt.Component, java.lang.String)`

## Constructor Summary

Constructors
Constructor
Description
`TabbedPaneState()`
`TabbedPaneState(int selectedIndex, int tabCount)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSelectedIndex()`
`int`
`getTabCount()`
`void`
`setSelectedIndex(int selectedIndex)`
`void`
`setTabCount(int tabCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabbedPaneState

public TabbedPaneState()

### TabbedPaneState

public TabbedPaneState(int selectedIndex, int tabCount)

## Method Details

### getSelectedIndex

public int getSelectedIndex()

### setSelectedIndex

public void setSelectedIndex(int selectedIndex)

### getTabCount

public int getTabCount()

### setTabCount

public void setTabCount(int tabCount)